## rw calibration-0.3.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = rw_calibration
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## rw 0.7

=== debian/changelog ===
rw (0.7-1) unstable; urgency=medium

  * Initial release. (Closes: #789519)

 -- Julien Puydt <julien.puydt@laposte.net>  Sun, 21 Jun 2015 20:39:52 +0200

=== debian/control ===
Source: rw
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Julien Puydt <julien.puydt@laposte.net>
Section: math
Priority: optional
Standards-Version: 3.9.6
Homepage: http://pholia.tdi.informatik.uni-frankfurt.de/~philipp/software/rw.shtml
Build-Depends: debhelper (>= 9), dh-autoreconf (>= 4~), pkg-config
Vcs-Git: git://anonscm.debian.org/debian-science/packages/rw
Vcs-Browser: http://anonscm.debian.org/cgit/debian-science/packages/rw

Package: librw0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Compute rank-width and rank-decompositions of graphs
 Compute rank-width and rank-decompositions of graphs. It is based on
 ideas from "Computing rank-width exactly" by Sang-il Oum, "Sopra una
 formula numerica" by Ernesto Pascal, "Generation of a Vector from the
 Lexicographical Index" by B.P. Buckles and M. Lybanon and "Fast
 additions on masked integers" by Michael D. Adams and David S. Wise.
 .
 This package contains the library itself.

Package: librw-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, librw0 (= ${binary:Version})
Description: Compute rank-width and rank-decompositions of graphs (development)
 Compute rank-width and rank-decompositions of graphs. It is based on
 ideas from "Computing rank-width exactly" by Sang-il Oum, "Sopra una
 formula numerica" by Ernesto Pascal, "Generation of a Vector from the
 Lexicographical Index" by B.P. Buckles and M. Lybanon and "Fast
 additions on masked integers" by Michael D. Adams and David S. Wise.
 .
 This package contains the development files for the library.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
export ACLOCAL_M4=.

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --disable-executable --enable-shared --disable-static CPPFLAGS="$(CPPFLAGS) -D_LARGEFILE_SOURCE"

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
	rm -f debian/tmp/usr/lib/*/*.la
	rm -fr debian/tmp/usr/share/doc

override_dh_install:
	dh_install --fail-missing

=== debian/watch ===
version=3
http://pholia.tdi.informatik.uni-frankfurt.de/~philipp/software/rw.shtml rw-(\d[\d.]*).tar.gz

## rw 0.8+ds

=== debian/changelog ===
rw (0.8+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <julien.puydt@laposte.net>  Mon, 15 Aug 2016 07:06:57 +0200

rw (0.7-2) unstable; urgency=medium

  * Bump standards-version to 3.9.8.
  * Use https in Vcs-* fields.
  * Add hardening=+all to DEB_BUILD_MAINT_OPTIONS.
  * Ship upstream's NEWS file as changelog.
  * Point to the new project homepage.

 -- Julien Puydt <julien.puydt@laposte.net>  Wed, 10 Aug 2016 14:52:10 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Uploaders: Julien Puydt <julien.puydt@laposte.net>
 Section: math
 Priority: optional
-Standards-Version: 3.9.6
-Homepage: http://pholia.tdi.informatik.uni-frankfurt.de/~philipp/software/rw.shtml
+Standards-Version: 3.9.8
+Homepage: https://sourceforge.net/projects/rankwidth
 Build-Depends: debhelper (>= 9), dh-autoreconf (>= 4~), pkg-config
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/rw
-Vcs-Browser: http://anonscm.debian.org/cgit/debian-science/packages/rw
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/rw
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/rw
 
 Package: librw0
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
@@ -19,3 +21,6 @@
 
 override_dh_install:
 	dh_install --fail-missing
+
+override_dh_installchangelogs:
+	dh_installchangelogs NEWS

=== debian/watch ===
version=3
opts=\
repacksuffix=+ds,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/rw-([\d\.-]+)\.tar\.gz/rw-$1.tar.gz/ \
http://sf.net/rankwidth/ rw-(\d[\d.]*).tar.gz

## rw 0.8+ds1

=== debian/changelog ===
rw (0.8+ds1-1) unstable; urgency=medium

  * Use my @debian.org mail address.
  * Point to salsa.debian.org for the repository.
  * Update d/copyright (date + https)
  * Bump std-vers to 4.5.0.
  * Drop d/compat and use dh-compat 13.
  * Number the +ds suffix.
  * Declare d/rules doesn't require root.
  * Update team mailing list address.
  * Put package librw0 in section libs.
  * Declare librw-dev as Multi-Arch: same following hinter.
  * Remove now-default linker flag.
  * Add basic upstream metadata.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 16 Jul 2020 15:57:06 +0200

## rw 0.9%2Bds1

=== debian/changelog ===
rw (0.9+ds1-1) unstable; urgency=medium

  * New usptream release.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 14 Sep 2020 10:14:18 +0200

## rw 0.9+ds1

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: rw
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Julien Puydt <julien.puydt@laposte.net>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@alioth-lists.debian.net>
+Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: math
 Priority: optional
-Standards-Version: 3.9.8
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://sourceforge.net/projects/rankwidth
-Build-Depends: debhelper (>= 9), dh-autoreconf (>= 4~), pkg-config
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/rw
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/rw
+Build-Depends: debhelper-compat (= 13), pkg-config
+Vcs-Git: https://salsa.debian.org/science-team/rw.git
+Vcs-Browser: https://salsa.debian.org/science-team/rw
 
 Package: librw0
 Architecture: any
+Section: libs
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -25,8 +27,9 @@
 
 Package: librw-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
-Depends: ${misc:Depends}, librw0 (= ${binary:Version})
+Depends: librw0 (= ${binary:Version}), ${misc:Depends}
 Description: Compute rank-width and rank-decompositions of graphs (development)
  Compute rank-width and rank-decompositions of graphs. It is based on
  ideas from "Computing rank-width exactly" by Sang-il Oum, "Sopra una

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,6 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
 
-export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
 export ACLOCAL_M4=.
 
 %:
@@ -19,8 +18,5 @@
 	rm -f debian/tmp/usr/lib/*/*.la
 	rm -fr debian/tmp/usr/share/doc
 
-override_dh_install:
-	dh_install --fail-missing
-
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS

=== debian/watch ===
version=3
opts=\
repacksuffix=+ds1,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/rw-([\d\.-]+)\.tar\.gz/rw-$1.tar.gz/ \
http://sf.net/rankwidth/ rw-(\d[\d.]*).tar.gz

## rw noise-0.1.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)
set(CMAKE_CXX_STANDARD 20)
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")

SET(LIB_NAME rw_noise)

project(${LIB_NAME})

FILE(GLOB SOURCE_FILES src/*.cpp)

add_library(${LIB_NAME} SHARED ${SOURCE_FILES})

set(THREADS_PREFER_PTHREAD_FLAG ON)
find_package(Threads REQUIRED)
LIST(APPEND LINK_LIBRARIES_LIST Threads::Threads)

find_package(OpenMP)
LIST(APPEND LINK_LIBRARIES_LIST OpenMP::OpenMP_CXX)

find_package(Boost COMPONENTS python numpy REQUIRED)
IF(BOOST_FOUND)
    LIST(APPEND INCLUDE_DIR_LIST ${BOOST_INCLUDE_DIRS})
    LIST(APPEND LINK_LIBRARIES_LIST ${Boost_LIBRARIES})
ELSE()
    MESSAGE(ERROR "Boost not found")
ENDIF()

find_package(PythonLibs "3" REQUIRED)
IF(PYTHONLIBS_FOUND)
    LIST(APPEND INCLUDE_DIR_LIST ${PYTHON_INCLUDE_DIRS})
    LIST(APPEND LINK_LIBRARIES_LIST ${PYTHON_LIBRARIES})
ELSE()
    MESSAGE(ERROR "Python not found")
ENDIF()

find_package(Eigen3 3.3 REQUIRED)

IF(EIGEN3_FOUND)
    LIST(APPEND INCLUDE_DIR_LIST ${EIGEN3_INCLUDE_DIRS})
    LIST(APPEND LINK_LIBRARIES_LIST ${EIGEN3_LIBRARIES})
ELSE()
    MESSAGE(ERROR "Eigen not found")
ENDIF()

OPTION(USE_MAGMA "USE_MAGMA" OFF)

IF(USE_MAGMA)
    add_definitions(-DUSE_MAGMA)

    find_package(CUDA REQUIRED)
    IF(CUDA_FOUND)
        LIST(APPEND INCLUDE_DIR_LIST ${CUDA_INCLUDE_DIRS})
        LIST(APPEND LINK_LIBRARIES_LIST ${CUDA_LIBRARIES})
    ELSE()
        MESSAGE(ERROR "Cuda not found")
    ENDIF()

    find_package(PkgConfig REQUIRED)
    pkg_check_modules(MAGMA REQUIRED magma)
    IF(MAGMA_FOUND)
        LIST(APPEND INCLUDE_DIR_LIST ${MAGMA_INCLUDE_DIRS})
        LIST(APPEND LINK_LIBRARIES_LIST ${MAGMA_LIBRARIES})
    ELSE()
        MESSAGE(ERROR "Magma not found")
    ENDIF()
ENDIF()

target_include_directories(${LIB_NAME} PRIVATE ${INCLUDE_DIR_LIST})
SET_TARGET_PROPERTIES(${LIB_NAME} PROPERTIES PREFIX "") #remove lib prefix
target_link_libraries(${LIB_NAME} ${LINK_LIBRARIES_LIST})

install(
    TARGETS ${LIB_NAME}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
